#include <bits/stdc++.h>

using namespace std;
int s[1000000];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    map<int,int> m;
    int n,k,a,br=0;
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>a;
        m[a]++;
    }
    map<int, int>::iterator itr;
    for(itr=m.begin();itr!=m.end();++itr)
        if(itr->second>=2){
            s[br]=itr->first;
            br++;
        }
    cout<<br<<"\n";
    for(int i=0;i<br;i++)
        cout<<s[i]<<" ";
    return 0;
}